Authentication
The bearer token is obtained by accessing the VIDA authentication service at the following end-point.
The partner, who is making the API requests, must include a specific type of header, called the "authorisation header", in each request they make. The header should contain a unique token, called a "bearer access token". This token serves as a form of authentication, verifying that the request is coming from a legitimate and authorised source.
Prerequisites
client_id
A unique client id that is shared for each partner.
client_secret
A unique key that is auto-generated for each product configured for the partner.
API Description
Authentication API
POST https://{environment-url}/auth/realms/{partner-id}/protoco l/openid-connect/token
Parameters
Headers
Content-Type*
Format type of request body
Value : application/x-www-form-urlencoded
Request Body
grant_type*
String
Valid grant type for this method will be client_credentials
scope
String
client_id*
String
An identifier of the client that is provided by Vida.
client_secret*
String
A secret is known only by the client and Vida authentication service.
Access Token Generated
The input parameters are correct and an access token is generated.
HTTP Status Code: 200
JSON Response
UnAuthorised - Invalid Credentials
The client secret key parameter or its value is either missing or incorrect. The partner must check the client's secret key before sending the request.
HTTP Status Code: 401
JSON Response
Bad Request - Invalid or Missing Parameter(s)
The client id parameter or its value is either missing or incorrect. The partner must check the client id before sending the request.
HTTP Status Code: 400
JSON Response
Bad Request - Unsupported Grant Type
The grant type parameter or its value is either missing or incorrect.The partner must check the grant type before sending the request. Valid grant type: client_credentials.
HTTP Status Code: 400
JSON Response
Integration Code Snippets
Refresh Token
API Description
Authentication API
POST https://{{environment-url}}/auth/realms/{partner-id}/protoco l/openid-connect/token
Headers
Content-Type*
Format type of request body
Value : application/x-www-form-urlencoded
Request Body
grant_type*
String
Valid grant type for this API will be refresh_token
scope
String
client_id*
String
An identifier of the client that is provided by Vida.
client_secret*
String
A secret is known only by the client and Vida authentication service.
refresh_token*
String
refresh token acquired from the access token API
Refresh Token Generated
The input parameters are correct and refresh token is generated.
HTTP Status Code: 200
JSON Response
Integration Code Snippets
Last updated
